#!/bin/bash
#PBS -l nodes=1:ppn=12
#PBS -V
#PBS -N 3tangle
#PBS -l walltime=90:00:00

echo "I ran on:"
cat $PBS_NODEFILE
#
# go to work dir
cd $PBS_O_WORKDIR

# setup Nums of Processor
cat $PBS_NODEFILE
N=`wc -l $PBS_NODEFILE | awk '{print $1}'`
echo Nr nodes $N
cat $PBS_NODEFILE | awk '!a[$0]++' | awk '{printf("%s slots=8\n",$1);}' > myhostfile

# running program
#/share/data2/openmpi-intel/bin/mpirun -np $N -machinefile myhostfile /share/data2/bin/vasp52-intel-mpi
#/share/data2/openmpi-intel/bin/mpirun -np $N -machinefile myhostfile /share/data2/bin/vasp46-intel-mpi
/opt/openmpi/bin/mpirun -np $N -machinefile myhostfile ./csa.exe
